GET FILE='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Diary\diary 2003-12\USA2012hfep.sav'.

DESCRIPTIVES VARIABLES=hhid pid time clockst start end epnum origwght xtimewt infltwt recwght
  /STATISTICS=MEAN STDDEV MIN MAX.
*check hhid=0 for all cases.

freq survey wave diaryday cday month year clockst epnum main sec inout 
     eloc mtrav alone infant child sppart clsfam hhadult animal 
     shoprof cowork wellknw otherp unknwp lowqual baddem caremflg 
     owghtflg.

cro mtrav by inout eloc.
cro inout by eloc.

compute test=0.
if time=0 test=1.
freq test.


GET FILE='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Diary\diary 2003-12\USA2012hfsum.sav'.

desc origwght xtimewt infltwt recwght
  /STATISTICS=MEAN STDDEV MIN MAX.

temp.
select if recwght>0.
desc recwght.

temp.
select if xtimewt>0.
desc xtimewt.

weight by xtimewt.
freq diaryday.

weight by infltwt.
freq diaryday.

weight by origwght.
freq diaryday.

weight by recwght.
freq diaryday.

weight off.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=survey
  /recsum=SUM(recwght).
freq recsum.

get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Questionnaire\usa12quest.sav'.

freq survey wave state regionc regione urban ownhome age sex ethnic ethnic2 hisp educ civstat cohab
marrflag famstat hhtype kidflag nadult under18 under5 ageyngst nkidflag fulltime parttime noemploy 
empstat occup unemp retired empsp disab student homemakr nwork empflag wkhrflag incomeqt income65 
income75 income03.

desc hhid pid wkhrs wagelm.
*check hhid=0 in all cases.

GET FILE='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Supplementary files\2003-12\USA2012youthep.sav'.

GET FILE='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Supplementary files\2003-12\USA2012youthsum.sav'.

GET FILE='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Supplementary files\2003-12\usa12questch.sav'.

freq survey wave state regionc regione urban ownhome age sex ethnic ethnic2 hisp educ civstat cohab
famstat hhtype nadult under18 under5 ageyngst empstat occup unemp empsp disab student homemakr 
nwork incomeqt income03.

desc hhid pid wkhrs wagelm.
*check hhid=0 in all cases.

temp.
select if civstat=2.
freq sex age state.

recode civstat (2=4).
freq civstat.

get file='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Supplementary files\2003-12\US2012xincare.sav'.

desc pid.
freq epnum xincare year.

sort cases by pid.










